---
title: "Revoke access to shared contact"
url: "https://docs.signnow.com/docs/users/operations/delete-v2-crm-contacts-contact_id-users-user_id"
type: "endpoint"
section: "users"
slug: "users/operations/delete-v2-crm-contacts-contact_id-users-user_id"
method: "DELETE"
path: "/v2/crm/contacts/{contact_id}/users/{user_id}"
operation_id: "delete-v2-crm-contacts-contact_id-users-user_id"
authorization: "bearer"
---

# Revoke access to shared contact

`DELETE /v2/crm/contacts/{contact_id}/users/{user_id}`

Remove shared contact permissions for a specific user.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `user_id` | string | Yes | The user ID to revoke access from. |
| `contact_id` | string | Yes | The shared CRM Contact ID. |

## Responses

### 204

User contact permission has been removed successfully

### 400

* Request with any of cases: invalid token, expired token, empty header, authorization = null, authorization without value


**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

### 404

* Contact does not exist
* User from path does not exist

**Example** (`Contact does not exist`)

```json
{
  "code": 27404001,
  "message": "Contact 22XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX not found"
}
```

**Example** (`User from path does not exist`)

```json
{
  "code": 27404001,
  "message": "User `userUniqueId` not found"
}
```

### 422

* User from path does not have any permission to contact
* User request from and user in the path are the same

**Example** (`Path user does not have any permission to contact`)

```json
{
  "code": 27400092,
  "message": "User have no permission to contact"
}
```

**Example** (`User from request and user in the path are the same`)

```json
{
  "code": 27400093,
  "message": "Unable to revoke own contact"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/v2/crm/contacts/{contact_id}/users/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/users/operations/delete-v2-crm-contacts-contact_id-users-user_id*
